[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <20220906103044.761250-12-carsten.haitzler@foss.arm.com>
Date: Tue, 6 Sep 2022 11:30:42 +0100
From: carsten.haitzler@...s.arm.com
To: linux-kernel@...r.kernel.org
Cc: coresight@...ts.linaro.org, suzuki.poulose@....com,
mathieu.poirier@...aro.org, mike.leach@...aro.org,
leo.yan@...aro.org, linux-perf-users@...r.kernel.org,
acme@...nel.org
Subject: [PATCH v8 11/13] perf test: Add unroll thread test shell script
From: Carsten Haitzler <carsten.haitzler@....com>
This adds scripts to drive the unroll thread tests to compare perf
output against a minimum bar of content/quality.
Signed-off-by: Carsten Haitzler <carsten.haitzler@....com>
---
.../shell/coresight/unroll_loop_thread_10.sh | 18 ++++++++++++++++++
1 file changed, 18 insertions(+)
create mode 100755 tools/perf/tests/shell/coresight/unroll_loop_thread_10.sh
diff --git a/tools/perf/tests/shell/coresight/unroll_loop_thread_10.sh b/tools/perf/tests/shell/coresight/unroll_loop_thread_10.sh
new file mode 100755
index 000000000000..f48c85230b15
--- /dev/null
+++ b/tools/perf/tests/shell/coresight/unroll_loop_thread_10.sh
@@ -0,0 +1,18 @@
+#!/bin/sh -e
+# CoreSight / Unroll Loop Thread 10
+
+# SPDX-License-Identifier: GPL-2.0
+# Carsten Haitzler <carsten.haitzler@....com>, 2021
+
+TEST="unroll_loop_thread"
+. $(dirname $0)/../lib/coresight.sh
+ARGS="10"
+DATV="10"
+DATA="$DATD/perf-$TEST-$DATV.data"
+
+perf record $PERFRECOPT -o "$DATA" "$BIN" $ARGS
+
+perf_dump_aux_verify "$DATA" 10 10 10
+
+err=$?
+exit $err
--
2.32.0
Powered by blists - more mailing lists